<?php
require_once './php/Noticia.php';
require_once './php/DetalleNoticia.php';
header('Content-type: application/json');
$noticia = new Noticia(null);
$noticia->titulo = $_POST["titulo"];
$result = $noticia->save();


if(!$result["error"]){
    $id = $result["message"];
    $detalleNoticia=new DetalleNoticia(null);
    $detalleNoticia->id_noticia = $id;
    $detalleNoticia->cuerpo="<p>Ingrese el cuerpo de la noticia AQUÍ</p>";
    $detalleNoticia->save();
    
    $noticiaNueva = Noticia::find($id);
    $fechaArray = explode("-", $noticiaNueva->fecha_creacion);
    $noticiaNueva->ruta = $fechaArray[0]."/".$noticiaNueva->id;
    $return = ['error' => false,'noticia'=>$noticiaNueva];
    echo json_encode($return);
    
}else{
    $return = ['error' => true];
    echo json_encode($return);
}